# Equity Tokens

Equity Tokens are tokenized versions of real-world stocks that exist on blockchain networks.

These will bring your tradiotional finance to the highly dynamic on-chain descentralized finance.

{% hint style="info" %}
Want a custom filter? Let’s talk [here](https://wa.me/17866553696).
{% endhint %}

## Equity Tokens List

> Returns a list of equity tokens that match the provided filter criteria.\
> \
> If no filter is provided, it returns all equity tokens.\
> Filters can be applied by network\_id (blockchain chain ID) or equity\_symbol (like 'AAPL').\
> \
> Returns a list of objects containing token details including:\
> \- token\_symbol: Token symbol\
> \- name: Token name\
> \- address: Token contract address\
> \- network: Network name where the token is deployed\
> \- decimals: Number of decimal places for the token\
> \- equity\_symbol: Symbol of the equity this token represents\
> \- icon: URL to the token icon image

```json
{"openapi":"3.1.0","info":{"title":"Sailing Protocol API","version":"1.0.0"},"servers":[{"description":"Sailing Protocol Node","url":"https://sailing.global"}],"paths":{"/api/instruments/equity_tokens_list":{"post":{"description":"Returns a list of equity tokens that match the provided filter criteria.\n\nIf no filter is provided, it returns all equity tokens.\nFilters can be applied by network_id (blockchain chain ID) or equity_symbol (like 'AAPL').\n\nReturns a list of objects containing token details including:\n- token_symbol: Token symbol\n- name: Token name\n- address: Token contract address\n- network: Network name where the token is deployed\n- decimals: Number of decimal places for the token\n- equity_symbol: Symbol of the equity this token represents\n- icon: URL to the token icon image","operationId":"post_equity_tokens_list_api_instruments_equity_tokens_list_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_post_equity_tokens_list_api_instruments_equity_tokens_list_post"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"address":{"description":"Token contract address","type":"string"},"decimals":{"description":"Number of decimal places for the token","type":"integer"},"equity_symbol":{"description":"Symbol of the equity this token represents","type":"string"},"icon":{"description":"URL to the token icon image","type":"string"},"name":{"description":"Token name","type":"string"},"network":{"description":"Network name where the token is deployed","type":"string"},"network_id":{"description":"Chain ID of the network where the token is deployed","type":"integer"},"onchain_symbol":{"description":"Onchain token symbol used in smart contracts","type":"string"},"symbol":{"description":"Token symbol","type":"string"}},"required":["symbol","address","network","decimals","equity_symbol"],"type":"object"},"type":"array"}}},"description":"List of equity tokens matching the filter criteria"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"type":"string"}},"type":"object"}}},"description":"Invalid Parameters Error"}},"summary":"Equity Tokens List","tags":["equity","tokens"]}}},"components":{"schemas":{"Body_post_equity_tokens_list_api_instruments_equity_tokens_list_post":{"properties":{"equity_symbol":{"description":"Symbol of the equity to filter tokens by (e.g., 'AAPL')","title":"Equity Symbol","type":"string"},"network_id":{"description":"Chain ID of the network to filter tokens by","title":"Network Id","type":"integer"}},"title":"Body_post_equity_tokens_list_api_instruments_equity_tokens_list_post","type":"object"}}}}
```

## Supported Equities List

> Returns a dictionary of all the equities supported by the platform.\
> \
> Each equity entry contains:\
> \- equity\_symbol: Symbol of the equity (e.g., 'AAPL')\
> \- name: Full name of the equity (e.g., 'Apple Inc')\
> \- description: Description of the equity\
> \- logo\_url: URL to the equity logo image

```json
{"openapi":"3.1.0","info":{"title":"Sailing Protocol API","version":"1.0.0"},"servers":[{"description":"Sailing Protocol Node","url":"https://sailing.global"}],"paths":{"/api/instruments/supported_equities_list":{"post":{"description":"Returns a dictionary of all the equities supported by the platform.\n\nEach equity entry contains:\n- equity_symbol: Symbol of the equity (e.g., 'AAPL')\n- name: Full name of the equity (e.g., 'Apple Inc')\n- description: Description of the equity\n- logo_url: URL to the equity logo image","operationId":"post_supported_equities_list_api_instruments_supported_equities_list_post","responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":{"properties":{"description":{"description":"Description of the equity","type":"string"},"equity_symbol":{"description":"Symbol of the equity","type":"string"},"logo_url":{"description":"URL to the equity logo image","type":"string"},"name":{"description":"Full name of the equity","type":"string"}},"required":["equity_symbol","name","description"],"type":"object"},"type":"object"}}},"description":"Dictionary of supported equities with their details"}},"summary":"Supported Equities List","tags":["equity"]}}}}
```

{% hint style="info" %}
&#x20;**Do you want to get your company tokenized and supported here?**

&#x20;[Let's talk bussiness](https://wa.me/17866553696) — request a meeting and we'll make it happen.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sailingprotocol.org/supported-assets/equity-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
